From f642c77953ca1b91f0c79ba578b4c7c139de4805 Mon Sep 17 00:00:00 2001
From: Tobias Fella <fella@posteo.de>
Date: Wed, 21 Dec 2022 16:37:04 +0100
Subject: [PATCH] Fix compilation with e2ee on windows

---
 lib/connection.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lib/connection.cpp b/lib/connection.cpp
index 59abc3e6..ea85ee1a 100644
--- a/lib/connection.cpp
+++ b/lib/connection.cpp
@@ -2366,8 +2366,8 @@ bool Connection::Private::createOlmSession(const QString& targetUserId,
                        << targetDeviceId;
         return false;
     }
-    auto* signedOneTimeKey = std::get_if<SignedOneTimeKey>(
-        std::to_address(oneTimeKeyObject.begin()));
+    auto* signedOneTimeKey =
+        std::get_if<SignedOneTimeKey>(&*oneTimeKeyObject.begin());
     if (!signedOneTimeKey) {
         qWarning(E2EE) << "No signed one time key for" << targetUserId
                        << targetDeviceId;
-- 
2.38.1.windows.1

